<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Quản lý sinh viên</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <style>
        body {
            padding-top: 50px;
        }
    </style>
</head>
<body>
    <div class="container">
        <h2 class="my-4">Quản lý sinh viên</h2>
        <form id="studentForm" method="post" class="mb-4">
            <div class="form-row">
                <div class="form-group col-md-3">
                    <label for="inputID">Mã sinh viên</label>
                    <input type="text" class="form-control" id="inputID" required>
                </div>
                <div class="form-group col-md-3">
                    <label for="inputName">Tên sinh viên</label>
                    <input type="text" class="form-control" id="inputName" required>
                </div>
                <div class="form-group col-md-3">
                    <label for="inputAge">Tuổi</label>
                    <input type="number" class="form-control" id="inputAge" required>
                </div>
                <div class="form-group col-md-3">
                    <label for="inputGrade">Điểm số</label>
                    <input type="text" class="form-control" id="inputGrade" required>
                </div>
            </div>
            <button type="button" class="btn btn-primary" onclick="addStudent()">Thêm sinh viên</button>
        </form>
        <div class="row">
            <div class="col-md-6">
                <!-- Tìm kiếm -->
                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="Tìm kiếm" id="searchInput">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary" type="button" onclick="searchStudents()">Tìm</button>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <!-- Lọc và Sắp xếp -->
                <div class="input-group mb-3">
                    <select class="custom-select" id="filterSelect" onchange="filterStudents()">
                        <option value="all">Tất cả</option>
                        <option value="1">Điểm 1</option>
                        <option value="1.5">Điểm 1.5</option>
                        <option value="2">Điểm 2</option>
                        <option value="2.5">Điểm 2.5</option>
                        <option value="3">Điểm 3</option>
                        <option value="3.5">Điểm 3.5</option>
                        <option value="4">Điểm 4</option>
                        <option value="4.5">Điểm 4.5</option>
                        <option value="5">Điểm 5</option>
                        <option value="5.5">Điểm 5.5</option>
                        <option value="6">Điểm 6</option>
                        <option value="6.5">Điểm 6.5</option>
                        <option value="7">Điểm 7</option>
                        <option value="7.5">Điểm 7.5</option>
                        <option value="8">Điểm 8</option>
                        <option value="8.5">Điểm 8.5</option>
                        <option value="9">Điểm 9</option>
                        <option value="9.5">Điểm 9.5</option>
                        <option value="10">Điểm 10</option>
                    </select>
                    
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary" type="button" onclick="sortStudents()">Sắp xếp</button>
                    </div>
                </div>
            </div>
        </div>
        <table class="table">
            <thead>
                <tr>
                    <th>Mã sinh viên </th>
                    <th>Tên sinh viên</th>
                    <th>Tuổi</th>
                    <th>Điểm số</th>
                    <th>Thao tác</th>
                </tr>
            </thead>
            <tbody id="studentList">
                <!-- Danh sách sinh viên sẽ được hiển thị ở đây -->
            </tbody>
        </table>
    </div>
    <script src="test.js"></script>
    <script src="next.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>